Bug 740334 - rpm in bad format!
Summary: rpm in bad format!
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python
Version: 5.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dave Malcolm
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 16:56 UTC by Levente Farkas
Modified: 2012-06-13 23:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-13 23:19:50 UTC


Attachments (Terms of Use)

Description Levente Farkas 2011-09-21 16:56:08 UTC
the file 
ftp://ftp.redhat.com/redhat/linux/enterprise/5Server/en/en/os/SRPMS/python-2.4.3-44.el5_7.1.src.rpm
seems to be in invalid format for rhel-5 probably it's packaged for rhel-6's xz compression

Comment 1 Dave Malcolm 2011-09-21 17:38:54 UTC
FWIW, there's an extra "en/" in the url in comment #0 that shouldn't be there.

On downloading via wget from the fixed URL:

$ sha256sum python-2.4.3-44.el5_7.1.src.rpm 
1eb2ce3c8bacd6f61282a548ee490d4956f04e776f85b2d85e3bd26c1462fc1b  python-2.4.3-44.el5_7.1.src.rpm

$ file python-2.4.3-44.el5_7.1.src.rpm 
python-2.4.3-44.el5_7.1.src.rpm: RPM v3 src PowerPC python-2.4.3-44.el5_7.1

Works fine for me on a test RHEL 5 box, with rpm-4.4.2.3-9.el5 (I tried both rpmdev-extract and rpm2cpio | cpio directly)

Are you seeing the same sha256 sum, and what problem are you seeing?

Comment 2 Levente Farkas 2011-09-21 18:01:29 UTC
hmm really strange! i REALLY double check it before i write this bz and the checksum was:
425ce74bf2167297620fcded83f1ec235ccd4eb73d5480de151e192882e7ed93
for this rpm:
rpm -qpi ~/redhat/5Server/en/os/SRPMS/python-2.4.3-44.el5_7.1.src.rpm
Name        : python                       Relocations: (not relocatable)
Version     : 2.4.3                             Vendor: Red Hat, Inc.
Release     : 44.el5_7.1                    Build Date: Mon 29 Aug 2011 04:54:22 PM CEST
Install Date: (not installed)               Build Host: ppc-006.build.bos.redhat.com
Group       : Development/Languages         Source RPM: (none)
Size        : 0                                License: PSF - see LICENSE
Signature   : DSA/SHA1, Thu 15 Sep 2011 02:16:27 PM CEST, Key ID 5326810137017186
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.python.org/
Summary     : An interpreted, interactive, object-oriented programming language.

but now reload it again and now it's working..

anyway it seem ftp.redhat.com is under really huge load (which doesn't seems to be) do you feed 6.2 or ...?

Comment 3 Dave Malcolm 2012-06-13 23:19:50 UTC
Closing this out as WORKSFORME.  Feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.